## carmand 0.7~pre-alpha1-1

=== scripts/trip/Makefile ===
all:
	gcc -shared -fPIC -Wall -O2 -I /usr/include/python2.5 trip.c -o trip.so
	gcc random-data.c -o random-data

clean:
	rm -rf *.o trip.so random-data

## carmand 0.7~beta1-1

=== debian/changelog ===
carmand (0.7~beta1-1) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

carmand (0.0.1-2) unstable; urgency=low

  * Loglevel defined by argv parameter. Fixed problems related to
    dependencies.

 -- Felipe Zimmerle <felipe.zimmerle@indt.org.br>  Thu, 10 Jul 2008 19:02:10 +0000

carmand (0.0.1-1) unstable; urgency=low

  * Initial release

 -- Felipe Zimmerle <felipe.zimmerle@indt.org.br>  Thu, 10 Jul 2008 19:02:10 +0000

=== debian/control ===
Source: carmand
Section: unknown
Priority: extra
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta1), libdbus-1-dev, libglib2.0-dev
Standards-Version: 0.0.2

Package: carmand
Architecture: any
Depends: libobd (>= ${Source-Version}), libc6 (>= 2.5.0), bluez-utils (>= 3.22), dbus (>= 1.0.2), ${shlibs:Depends}
Description: OBD II/GPS d-bus daemon.
 Carmand is a daemon initially created to support the Carman project. It provides pre-processed data via d-bus from OBD II and GPS devices.

Package: carmand-dev
Section: devel
Architecture: any
Depends: libobd (= ${Source-Version})
Description: OBD II/GPS d-bus daemon.
  OBD II/GPS d-bus daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status:
	dh_testdir

	./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --enable-location --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/carmand.sgml > carmand.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/carmand.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	mkdir -p $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Trips
	mkdir -p $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Maps
	mkdir -p $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Tracks
	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman
	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Maps
	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Trips
	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Tracks
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## carmand 0.7~beta1-2

=== debian/changelog ===
carmand (0.7~beta1-2) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,6 @@
 Package: carmand-dev
 Section: devel
 Architecture: any
-Depends: libobd (= ${Source-Version})
+Depends: libobd (>= ${Source-Version})
 Description: OBD II/GPS d-bus daemon.
   OBD II/GPS d-bus daemon.

## carmand 0.7~beta1-3

=== debian/changelog ===
carmand (0.7~beta1-3) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

## carmand 0.7~beta1-4

=== debian/changelog ===
carmand (0.7~beta1-4) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

## carmand 0.7~beta1-5

=== debian/changelog ===
carmand (0.7~beta1-5) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

## carmand 0.7~beta1-6

=== debian/changelog ===
carmand (0.7~beta1-6) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

## carmand 0.7~beta1-7

=== debian/changelog ===
carmand (0.7~beta1-7) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

## carmand 0.7~beta1-8

=== debian/changelog ===
carmand (0.7~beta1-8) unstable; urgency=low

  * Changed version to match carman version.

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 1 Sep 2008 12:00:00 -0300

## carmand 0.7~beta1-9

=== debian/changelog ===
carmand (0.7~beta1-9) unstable; urgency=low

  * Fixed the code to include the libobd log messages to the carmand log
  * Fixed the code to read correctly the configuration file

 -- Eduardo Rocha <eduardo.rocha@openbossa.org>  Mon, 15 Dec 2008 16:00:00 -0300

## carmand 0.7~beta1-10

=== debian/changelog ===
carmand (0.7~beta1-10) unstable; urgency=low

  * Changed version to match carman version.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Tue, 27 Jan 2009 15:33:45 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
-Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta1), libdbus-1-dev, libglib2.0-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta1-10), libdbus-1-dev, libglib2.0-dev
 Standards-Version: 0.0.2
 
 Package: carmand

## carmand 0.7~beta1-10.0

=== debian/changelog ===
carmand (0.7~beta1-10.0) unstable; urgency=low

  * Changed version to match carman version.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Tue, 27 Jan 2009 15:33:45 -0400

## carmand 0.7~beta1-11

=== debian/changelog ===
carmand (0.7~beta1-11) unstable; urgency=low

  * Changed version to match carman version.

 -- Ragner Magalhaes <ragner.magalhaes@openbossa.org>  Mon, 02 Feb 2009 18:48:17 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
-Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta1-10), libdbus-1-dev, libglib2.0-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta1-11), libdbus-1-dev, libglib2.0-dev
 Standards-Version: 0.0.2
 
 Package: carmand

## carmand 0.7~beta2-5

=== debian/changelog ===
carmand (0.7~beta2-5) unstable; urgency=low

  * Carman new release. 

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Fri, 20 Feb 2009 08:53:12 -0400

carmand (0.7~beta2-4) unstable; urgency=low

  * Changed version to match carman version.

 -- Bruno Abinader <bruno.abinader@openbossa.org>  Fri, 30 Jan 2009 14:46:05 -0400

carmand (0.7~beta2-1) unstable; urgency=low

  * Carman new release.

 -- Bruno Abinader <bruno.abinader@openbossa.org>  Fri, 30 Jan 2009 14:45:50 -0400

=== debian/control ===
Source: carmand
Section: unknown
Priority: extra
Maintainer: Eduardo Rocha <eduardo.rocha@openbossa.org>
Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta2-5),
 libdbus-1-dev, libglib2.0-dev
Standards-Version: 0.0.2

Package: carmand
Architecture: any
Depends: libobd (>= ${Source-Version}), libc6 (>= 2.5.0),
 bluez-utils (>= 3.22), dbus (>= 1.0.2), ${shlibs:Depends}
Description: OBD II/GPS d-bus daemon.
 Carmand is a daemon initially created to support the Carman project.
 It provides pre-processed data via d-bus from OBD II and GPS devices.

Package: carmand-dev
Section: devel
Architecture: any
Depends: libobd (>= ${Source-Version})
Description: OBD II/GPS d-bus daemon.
  OBD II/GPS d-bus daemon.

## carmand 0.7~beta2-6

=== debian/changelog ===
carmand (0.7~beta2-6) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Mon, 16 Mar 2009 20:48:55 -0400

## carmand 0.7~beta2-7

=== debian/changelog ===
carmand (0.7~beta2-7) unstable; urgency=low

  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Thu, 19 Mar 2009 09:04:14 -0400

## carmand 0.7~pre-alpha1-1

=== debian/changelog ===
carmand (0.7~pre-alpha1-1) unstable; urgency=low

  * Test release for N900

 -- Juha Paalijärvi <juha.paalijarvi@gmail.com>  Tue, 15 Jun 2010 19:55:40 +0300

carmand (0.7) unstable; urgency=low

  * Bug fixing on Trips module.
  * Carman new release.

 -- Anderson Briglia <anderson.briglia@openbossa.org>  Wed, 01 Apr 2009 11:03:08 -0400

=== debian/control ===
Source: carmand
Section: unknown
Priority: extra
Maintainer: Juha Paalijärvi <juha.paalijarvi@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libobd-dev (>= 0.7~beta2-5),
 libdbus-1-dev, libglib2.0-dev
Standards-Version: 0.0.2

Package: carmand
Architecture: any
Depends: libobd (>= ${Source-Version}), libc6 (>= 2.5.0),
 bluez (>= 4.60), dbus (>= 1.0.2), ${shlibs:Depends}
Description: OBD II/GPS d-bus daemon.
 Carmand is a daemon initially created to support the Carman project.
 It provides pre-processed data via d-bus from OBD II and GPS devices.

Package: carmand-dev
Section: devel
Architecture: any
Depends: libobd (>= ${Source-Version})
Description: OBD II/GPS d-bus daemon.
  OBD II/GPS d-bus daemon.

=== debian/rules ===
--- 
+++ 
@@ -75,9 +75,9 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	mkdir -p $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Trips
-	mkdir -p $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Maps
-	mkdir -p $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Tracks
+	mkdir -p $(CURDIR)/debian/carmand/home/user/Carman/Trips
+	mkdir -p $(CURDIR)/debian/carmand/home/user/Carman/Maps
+	mkdir -p $(CURDIR)/debian/carmand/home/user/Carman/Tracks
 	dh_installchangelogs ChangeLog
 #	dh_installdocs
 #	dh_installexamples
@@ -97,10 +97,10 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman
-	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Maps
-	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Trips
-	chown user:users $(CURDIR)/debian/carmand/home/user/MyDocs/Carman/Tracks
+	chown user:users $(CURDIR)/debian/carmand/home/user/Carman
+	chown user:users $(CURDIR)/debian/carmand/home/user/Carman/Maps
+	chown user:users $(CURDIR)/debian/carmand/home/user/Carman/Trips
+	chown user:users $(CURDIR)/debian/carmand/home/user/Carman/Tracks
 #	dh_perl
 #	dh_makeshlibs
 	dh_installdeb
